summaryrefslogtreecommitdiffstats
path: root/system/pv
diff options
context:
space:
mode:
author GPLeo <slackbuilds@gmail.com>2010-05-13 01:01:05 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 01:01:05 +0200
commitfbb4178d379cfc8bb7c4aa9688ddf15b3437ce5b (patch)
treea073724cfd21b8f1149cdd164d4db164b680ad26 /system/pv
parent4265a275f36276eec14b40e3510af69add66dae2 (diff)
downloadslackbuilds-fbb4178d379cfc8bb7c4aa9688ddf15b3437ce5b.tar.gz
slackbuilds-fbb4178d379cfc8bb7c4aa9688ddf15b3437ce5b.tar.xz
system/pv: Added to 13.0 repository
Diffstat (limited to 'system/pv')
-rw-r--r--system/pv/README5
-rw-r--r--system/pv/pv.SlackBuild77
-rw-r--r--system/pv/pv.info10
-rw-r--r--system/pv/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/system/pv/README b/system/pv/README
new file mode 100644
index 0000000000..226564cc16
--- /dev/null
+++ b/system/pv/README
@@ -0,0 +1,5 @@
+Pipe Viewer is a terminal-based tool for monitoring the progress of
+data through a pipeline. It can be inserted into any normal pipeline
+between two processes to give a visual indication of how quickly data
+is passing through, how long it has taken, how near to completion it is,
+and an estimate of how long it will be until completion.
diff --git a/system/pv/pv.SlackBuild b/system/pv/pv.SlackBuild
new file mode 100644
index 0000000000..c805f8111c
--- /dev/null
+++ b/system/pv/pv.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+#
+# Slackware build script for pv
+# Written by GPLeo <slackbuilds@gmail.com>
+#
+
+PRGNAM=pv
+VERSION=${VERSION:-1.1.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="COPYING INSTALL NEWS PACKAGE TODO VERSION"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+( cd $TMP/$PRGNAM-$VERSION/doc
+cp -a \
+ $DOCS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+)
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/system/pv/pv.info b/system/pv/pv.info
new file mode 100644
index 0000000000..7e4ffa3944
--- /dev/null
+++ b/system/pv/pv.info
@@ -0,0 +1,10 @@
+PRGNAM="pv"
+VERSION="1.1.4"
+HOMEPAGE="http://www.ivarch.com/programs/pv.shtml"
+DOWNLOAD="http://pipeviewer.googlecode.com/files/pv-1.1.4.tar.bz2"
+MD5SUM="63033e090d61a040407bfd043aeb6d27"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="GPLeo"
+EMAIL="slackbuilds@gmail.com"
+APPROVED="dsomero"
diff --git a/system/pv/slack-desc b/system/pv/slack-desc
new file mode 100644
index 0000000000..ba3065578a
--- /dev/null
+++ b/system/pv/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also customary
+# to leave one space after the ':'.
+
+ |----handy-ruler------------------------------------------------------------|
+pv: pv (Pipe Viewer)
+pv:
+pv: Pipe Viewer is a terminal-based tool for monitoring the progress of
+pv: data through a pipeline. It can be inserted into any normal pipeline
+pv: between two processes to give a visual indication of how quickly data
+pv: is passing through, how long it has taken, how near to completion it is,
+pv: and an estimate of how long it will be until completion.
+pv:
+pv: Homepage: http://www.ivarch.com/programs/pv.shtml
+pv:
+pv: